const express = require('express');

const email = require(`../middlewares/email`);

const log = require(`../log`)(module);

const emailApp = express();

const libs = `${process.cwd()}/libs`;

const User = require(`${libs}/models/user`);

const passport = require('passport');


emailApp.post('/', async (req, res, next) => {
    var emails = await User.findAll({attributes:['email']});
    const emailsArray = emails.map(_email => _email.get());
    console.log(emailsArray);
    var reqContents = req.body.contents

    var sub = req.body.subject
    let mailOptions = {
        to: ["dadoseducacionais@ufpr.br", reqEmail],
        from: `<dadoseducacionais@ufpr.br>`,
        text: reqContents,
        subject: sub,
        bcc: emailsArray
    }

    email(mailOptions, (err, info) => {
        if (err) {
            log.error(err);
            console.log(err);
            res.status(500).json({ msg: 'Undelivered Contact Mail' });
        } else {
            log.info(`Message ${info.messageId} sent: ${info.response}`);
            res.json({ msg: 'Contact Mail Successfully Delivered' });
        }
    });
})


module.exports = emailApp;
